Package com.treemap

# Class ColoredSurroundLabeling<N,Row,Column,Color,Font>

java.lang.Object
com.treemap.AbstractLabeling<N,Row,Column,Color,Font>
com.treemap.SurroundLabeling<N,Row,Column,Color,Font>
com.treemap.ColoredSurroundLabeling<N,Row,Column,Color,Font>

All Implemented Interfaces:
  `Labeling<N,Row,Column,Color,Font>`

@JsType public class ColoredSurroundLabeling<N,Row,Column,Color,Font> extends SurroundLabeling<N,Row,Column,Color,Font>

- ## Field Summary

  ### Fields inherited from class com.treemap.SurroundLabeling

  `MINIMUM_FONT_SIZE_TO_DISPLAY`

  ### Fields inherited from class com.treemap.AbstractLabeling

  `COLOR_SIMILARITY_THRESHOLD, SHARE_OF_ZOOM_FACTOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColoredSurroundLabeling()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected com.macrofocus.igraphics.CPColor<Color>`
  `getBackgroundColor(N node, TreeMapModel model)`
  `protected com.macrofocus.igraphics.CPColor<Color>`
  `getEffectColor(N node, TreeMapModel model)`
  `protected com.macrofocus.igraphics.CPColor<Color>`
  `getForegroundColor(N node, TreeMapModel model)`
  `String`
  `toString()`

  ### Methods inherited from class com.treemap.SurroundLabeling

  `computePreferredHeight, getLeftSpace, getTopSpace, paintParent, setHeadless, subtract`

  ### Methods inherited from class com.treemap.AbstractLabeling

  `adjustLabelColor, calcCenterOfMass, findEnclosedRectangle, getArea, getCentroid, getPoints, getTopHeaderSpacing, getTreeMapFieldsByVerticalAlignment, paintFields, paintLabel, paintLeaf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ColoredSurroundLabeling

    public ColoredSurroundLabeling()

- ## Method Details

  - ### getForegroundColor

    protected com.macrofocus.igraphics.CPColor<Color> getForegroundColor(N node, TreeMapModel model)
    Overrides:
      `getForegroundColor` in class `SurroundLabeling<N,Row,Column,Color,Font>`

  - ### getEffectColor

    protected com.macrofocus.igraphics.CPColor<Color> getEffectColor(N node, TreeMapModel model)
    Overrides:
      `getEffectColor` in class `SurroundLabeling<N,Row,Column,Color,Font>`

  - ### getBackgroundColor

    protected com.macrofocus.igraphics.CPColor<Color> getBackgroundColor(N node, TreeMapModel model)
    Overrides:
      `getBackgroundColor` in class `SurroundLabeling<N,Row,Column,Color,Font>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `SurroundLabeling<N,Row,Column,Color,Font>`